#include <avr/io.h>
#include <avr/interrupt.h>		//Deffinition der Interrupts 
#include <avr/signal.h>			//Deffinition der Interrupt Signale
#include "uart.h"
#include "T6963C.h"

#define F_CPU				4000000	// 4Mhz 
#define UART_BAUD_RATE		9600	// 19200 baud
#define BAUD				(F_CPU/(UART_BAUD_RATE*16l)-1)


SIGNAL(SIG_UART_RECV)
/*
 * Interruptrutine:		SIG_UART_RECV
 * 
 * Dieser Interrupt wird aufgerufen sobald eine Zeichen ber die serielle
 * Schnittstelle gesendet wird. Es Wird SIGNAL anstatt von INTERRUPT verwendet 
 * damit ein zweites gesendetes Zeichen nicht die Abarbeitung des ersten 
 * Zeichens unterbricht
 */
{
	unsigned char getkey;
	
	
	getkey = UDR; //Das bermittelt Zeichen in getkey speichern
	USART_Transmit(UDR);
}


int main(void)
{
	USART_INIT(BAUD);		//Kommunikation ber die serielle Schnittstelle starten
	sei (); //Interrupts aktivieren
	DDRA = 0x1F;  //Steuerleitungen als Ausgang schalten
	
	USART_Transmit_String("Hier startet das Programm");
	USART_New_Line();
	init_glcd();
	USART_New_Line();
	USART_Transmit_String("LCD init beendet!");	
	
	return 0;
}

